Agents API
Persistent Gobii agent endpoints for creating, scheduling, messaging, and managing AI browser agents.
Agents - List
Get agents with the Gobii REST API endpoint GET /agents/. Includes authentication, parameters, request body, response schema, and examples for AI browser agents and browser-use automation tasks.
Agent - Create
Create an Agent with the Gobii REST API endpoint POST /agents/. Includes authentication, parameters, request body, response schema, and examples for AI browser agents and browser-use automation tasks.
Agent - Get
Get Agent with the Gobii REST API endpoint GET /agents/{id}/. Includes authentication, parameters, request body, response schema, and examples for AI browser agents and browser-use automation tasks.
Agent - Update
Update Agent with the Gobii REST API endpoint PUT /agents/{id}/. Includes authentication, parameters, request body, response schema, and examples for AI browser agents and browser-use automation tasks.
Agent - Update (Partial)
Update Agent with the Gobii REST API endpoint PATCH /agents/{id}/. Includes authentication, parameters, request body, response schema, and examples for AI browser agents and browser-use automation tasks.
Agent - Delete
Delete Agent with the Gobii REST API endpoint DELETE /agents/{id}/. Includes authentication, parameters, request body, response schema, and examples for AI browser agents and browser-use automation tasks.
Agent - Activate
Activate Agent with the Gobii REST API endpoint POST /agents/{id}/activate/. Includes authentication, parameters, request body, response schema, and examples for AI browser agents and browser-use automation tasks.
Agent - Deactivate
Deactivate Agent with the Gobii REST API endpoint POST /agents/{id}/deactivate/. Includes authentication, parameters, request body, response schema, and examples for AI browser agents and browser-use automation tasks.
Agent - Message
Send a message to an agent. Messages can provide additional information, make requests, and so forth to an agent just as you would communicate with an agent outside of the API.
Processing Status
Get Agent Processing Status with the Gobii REST API endpoint GET /agents/{id}/processing-status/. Includes authentication, parameters, request body, response schema, and examples for AI browser agents and browser-use automation tasks.
Agent Schedule - Preview
Preview Agent Schedule with the Gobii REST API endpoint POST /agents/{id}/schedule/preview/. Includes authentication, parameters, request body, response schema, and examples for AI browser agents and browser-use automation tasks.
Timeline - Get
Get Agent Timeline with the Gobii REST API endpoint GET /agents/{id}/timeline/. Includes authentication, parameters, request body, response schema, and examples for AI browser agents and browser-use automation tasks.
Web Tasks - List
List Web Tasks with the Gobii REST API endpoint GET /agents/{id}/web-tasks/. Includes authentication, parameters, request body, response schema, and examples for AI browser agents and browser-use automation tasks.